Bug 1258083 - [abrt] dnf: rpmsack.py:288:_delete:AttributeError: Cannot delete attribute reason on <dnf.yum.rpmsack.RPMDBAdditionalDataPackage object at 0x7f9e6699cf90>
[abrt] dnf: rpmsack.py:288:_delete:AttributeError: Cannot delete attribute re...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: dnf (Show other bugs)
22
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: rpm-software-management
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:f3dea958f3d4b6c0ee21ce2e25d...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-28 18:29 EDT by Guillaume Poirier-Morency
Modified: 2016-07-19 13:42 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-19 13:42:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (1.79 KB, text/plain)
2015-08-28 18:29 EDT, Guillaume Poirier-Morency
no flags Details
File: environ (2.08 KB, text/plain)
2015-08-28 18:29 EDT, Guillaume Poirier-Morency
no flags Details

  None (edit)
Description Guillaume Poirier-Morency 2015-08-28 18:29:21 EDT
Version-Release number of selected component:
dnf-1.1.0-2.fc22

Additional info:
reporter:       libreport-2.6.2
cmdline:        /usr/bin/python -OO /bin/dnf upgrade
dso_list:       python-dnf-1.1.0-2.fc22.noarch
executable:     /bin/dnf
kernel:         4.1.4-200.fc22.x86_64
runlevel:       N 5
type:           Python
uid:            0

Truncated backtrace:
rpmsack.py:288:_delete:AttributeError: Cannot delete attribute reason on <dnf.yum.rpmsack.RPMDBAdditionalDataPackage object at 0x7f9e6699cf90> 

Traceback (most recent call last):
  File "/bin/dnf", line 36, in <module>
    main.user_main(sys.argv[1:], exit_code=True)
  File "/usr/lib/python2.7/site-packages/dnf/cli/main.py", line 193, in user_main
    errcode = main(args)
  File "/usr/lib/python2.7/site-packages/dnf/cli/main.py", line 84, in main
    return _main(base, args)
  File "/usr/lib/python2.7/site-packages/dnf/cli/main.py", line 146, in _main
    ret = resolving(cli, base)
  File "/usr/lib/python2.7/site-packages/dnf/cli/main.py", line 168, in resolving
    base.do_transaction(display=displays)
  File "/usr/lib/python2.7/site-packages/dnf/cli/cli.py", line 223, in do_transaction
    super(BaseCli, self).do_transaction(display)
  File "/usr/lib/python2.7/site-packages/dnf/base.py", line 599, in do_transaction
    self._run_transaction(cb=cb)
  File "/usr/lib/python2.7/site-packages/dnf/base.py", line 721, in _run_transaction
    self.verify_transaction(cb.verify_tsi_package)
  File "/usr/lib/python2.7/site-packages/dnf/base.py", line 835, in verify_transaction
    yumdb_item.clean()
  File "/usr/lib/python2.7/site-packages/dnf/yum/rpmsack.py", line 326, in clean
    self._delete(item)
  File "/usr/lib/python2.7/site-packages/dnf/yum/rpmsack.py", line 288, in _delete
    raise AttributeError("Cannot delete attribute %s on %s " % (attr, self))
AttributeError: Cannot delete attribute reason on <dnf.yum.rpmsack.RPMDBAdditionalDataPackage object at 0x7f9e6699cf90> 

Local variables in innermost frame:
self: <dnf.yum.rpmsack.RPMDBAdditionalDataPackage object at 0x7f9e6699cf90>
attr: u'reason'
fn: u'/var/lib/dnf/yumdb/o/07aab64219b5ba7737fb29780895ab77c4bf1d54-openvpn-2.3.7-1.fc22-x86_64/reason'
Comment 1 Guillaume Poirier-Morency 2015-08-28 18:29:25 EDT
Created attachment 1068174 [details]
File: backtrace
Comment 2 Guillaume Poirier-Morency 2015-08-28 18:29:26 EDT
Created attachment 1068175 [details]
File: environ
Comment 3 Honza Silhan 2015-09-01 08:24:28 EDT
have you set any special rights for /var/lib/dnf?
Comment 4 Guillaume Poirier-Morency 2015-09-01 08:29:25 EDT
Not that I know of.

Here's the details on the file:

LC_ALL=en stat /var/lib/dnf/yumdb/o/07aab64219b5ba7737fb29780895ab77c4bf1d54-openvpn-2.3.7-1.fc22-x86_64/reason
  File: '/var/lib/dnf/yumdb/o/07aab64219b5ba7737fb29780895ab77c4bf1d54-openvpn-2.3.7-1.fc22-x86_64/reason'
  Size: 7         	Blocks: 8          IO Block: 4096   regular file
Device: fd01h/64769d	Inode: 787045      Links: 2248
Access: (0644/-rw-r--r--)  Uid: (    0/    root)   Gid: (    0/    root)
Context: unconfined_u:object_r:rpm_var_lib_t:s0
Access: 2015-09-01 08:27:22.610647788 -0400
Modify: 2015-01-30 01:15:09.925199706 -0500
Change: 2015-08-29 23:09:09.762063564 -0400
 Birth: -
Comment 5 Fedora Admin XMLRPC Client 2016-07-08 05:32:06 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 6 Fedora End Of Life 2016-07-19 13:42:39 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.